import mapStoreys from "../assets/models/mapStoreys.js";

/**
 * @param { Model } model
 * @param { Viewer } viewer
 */
export default function displayStoreySelector(model, viewer) {
  mapStoreys.forEach((storey, i) => {
    const rootElement = document.getElementById("storeys");
    const container = document.createElement("div");

    const input = document.createElement("input");
    input.setAttribute("type", "radio");
    input.setAttribute("name", "storey");
    input.setAttribute("id", `storey${i + 1}`);
    input.addEventListener("change", () => {
      if (input.checked) {
        const idsToHide = [];
        const idsToShow = [];
        viewer.scene.objects.forEach(object => {
          if (storey.uuids.includes(object.uuid)) {
            idsToShow.push(object.id);
          } else {
            idsToHide.push(object.id);
          }
        });
        viewer.scene.showObjects(idsToShow);
        viewer.scene.hideObjects(idsToHide);
      }
    });

    const label = document.createElement("label");
    label.setAttribute("for", `storey${i + 1}`);
    label.textContent = `Storey ${storey.name}`;

    container.appendChild(input);
    container.appendChild(label);
    rootElement.appendChild(container);
  });
}
